SDL_GPULoadOp(3type)

NAME
SDL_GPULoadOp - Specifies how the contents of a texture attached to a render pass are treated at the beginning of the render pass.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_GPULoadOp
{
    SDL_GPU_LOADOP_LOAD,      /**< The previous contents of the texture will be preserved. */
    SDL_GPU_LOADOP_CLEAR,     /**< The contents of the texture will be cleared to a color. */
    SDL_GPU_LOADOP_DONT_CARE  /**< The previous contents of the texture need not be preserved. The contents will be undefined. */
} SDL_GPULoadOp;

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BeginGPURenderPass(3)